Subject: [PATCH] arm: mvebu: support for the new Armada XP evaluation board(DB-MV784MP-GP)

From: [email-masked] (Gregory CLEMENT)
Date: Thu, 31 Jan 2013 13:50:35 +0100

On 01/31/2013 01:45 PM, Jason Cooper wrote:
> On Thu, Jan 31, 2013 at 01:07:35PM +0100, Gregory CLEMENT wrote:
>> On 01/30/2013 07:10 PM, Jason Cooper wrote:
>>>
>>> Gregory,
>>>
>>> Adding devicetree-discuss.
>>
>> I should have added it in in CC in my first version
>>
>>>
>>> Guys, how do you prefer to handle plug-in RAM modules?  describe the
>>> soldered-in amount, or?
>>>
>>> On Wed, Jan 30, 2013 at 06:35:17PM +0100, Gregory CLEMENT wrote:
>>>> On 01/30/2013 06:33 PM, Jason Cooper wrote:
>>>>> On Wed, Jan 30, 2013 at 06:26:14PM +0100, Gregory CLEMENT wrote:
>>>>>> This is the new Armada XP evaluation board from Marvell. It comes with
>>>>>> a RS232 port over USB, a SATA link, an internal SSD, 4 Ethernet
>>>>>> Gigabit links.
>>>>>>
>>>>>> Support for USB (Host and device), SDIO, PCIe will be added as drivers
>>>>>> when they become available for Armada XP in mainline.
>>>>>>
>>>>>> Signed-off-by: Gregory CLEMENT <[email-masked]>
>>>>>> ---
>>>>>>  arch/arm/boot/dts/Makefile         |    1 +
>>>>>>  arch/arm/boot/dts/armada-xp-gp.dts |   94 ++++++++++++++++++++++++++++++++++++
>>>>>>  2 files changed, 95 insertions(+)
>>>>>>  create mode 100644 arch/arm/boot/dts/armada-xp-gp.dts
>>>>>>
>>> ...
>>>>>> +	memory {
>>>>>> +		device_type = "memory";
>>>>>> +		reg = <0x00000000 0xC0000000>; /* 3 GB */
>>>>>
>>>>> Is this the soldered on the board amount, or the amount with an
>>>>> expandable slot filled?
>>>>
>>>> It is not soldered, so you can change the amount of memory
>>>
>>> Well, there's something we don't encounter too much in the embedded
>>> world.  ;-)  I'm inclined to think the entry here should be the soldered
>>> on amount, and the bootloader would (hypothetically) change the DT to
>>> the probed amount.  But I haven't seen a precedent set yet...
>>
>> Well on this board there is no soldered memory at all.
> 
> So it has two slots? 1GB and 2GB?

Well in fact it is 4GB RAM but we can only use 3GB (we need the last GB
of address space for peripheral, CPU registers and IOmem).

There is only one slot.

> thx,
> Jason.

-- 
Gregory Clement, Free Electrons
Kernel, drivers, real-time and embedded Linux
development, consulting, training and support.
http://free-electrons.com